[PC-BSD Commits] r21129 - in pcbsd/current/overlays/install-overlay: etc root

svn at pcbsd.org svn at pcbsd.org
Thu Jan 24 10:07:16 PST 2013


Author: kris
Date: 2013-01-24 18:07:16 +0000 (Thu, 24 Jan 2013)
New Revision: 21129

Modified:
   pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh
   pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh
Log:

Fix up an issue creating /tmp/zfs for cache file



Modified: pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh
===================================================================
--- pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh	2013-01-24 17:56:37 UTC (rev 21128)
+++ pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh	2013-01-24 18:07:16 UTC (rev 21129)
@@ -60,13 +60,3 @@
 # Extract the root-dist.txz
 /sbin/mdmfs -S -s 15M -O space md8 /root
 /usr/bin/tar xvf /uzip/root-dist.txz -C /root >/dev/null 2>/dev/null
-
-# Check ZFS tmpdir
-if [ ! -d "/tmp/zfs" ] ; then
-  mkdir /tmp/zfs
-  if [ $? -ne 0 ] ; then
-     echo "Error creating /tmp/zfs, ZFS installs will not work!"
-     echo "Press ENTER to continue"
-     read tmp
-  fi
-fi

Modified: pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh	2013-01-24 17:56:37 UTC (rev 21128)
+++ pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh	2013-01-24 18:07:16 UTC (rev 21129)
@@ -20,6 +20,16 @@
 mv /var/tmp /tmp/vartmp
 ln -s /tmp/vartmp /var/tmp
 
+# Check ZFS tmpdir
+if [ ! -d "/tmp/zfs" ] ; then
+  mkdir /tmp/zfs
+  if [ $? -ne 0 ] ; then
+     echo "Error creating /tmp/zfs, ZFS installs will not work!"
+     echo "Press ENTER to continue"
+     read tmp
+  fi
+fi
+
 # Check if we are booting in LIVE or INSTALL mode
 if [ -e "/usr/pcbsd-live" ]; then
 



More information about the Commits mailing list